all:
  only:
    - master
  script:
    - node --version
    - rm -rf build
    - if [ -f generator ] ; then cd generator; git pull; cd ..; else git clone https://git.ok1kvk.cz/ok1kvk.cz/generator.git; fi
    - if [ -f static    ] ; then cd static;    git pull; cd ..; else git clone https://git.ok1kvk.cz/ok1kvk.cz/static.git;    fi
    - cd generator/; npm install; cd ..
    - node generator/index.js --contentdir . --staticdir static --themedir generator/theme --builddir build --noserver
    - generator/upload

cache:
  paths:
    - generator/
    - static/

# Needs following env var: LFTP_PASSWORD

